Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.utils
Interface ListerMBean

All Known Subinterfaces:
  ActiveDirectoryAuthenticatorMBean, DefaultAuthenticatorMBean, DefaultCredentialMapperMBean, GroupEditorMBean, GroupMemberListerMBean, GroupReaderMBean, IPlanetAuthenticatorMBean, LDAPAuthenticatorMBean, MemberGroupListerMBean, NameListerMBean, NovellAuthenticatorMBean, OpenLDAPAuthenticatorMBean, UserEditorMBean, UserPasswordCredentialMapEditorMBean, UserPasswordCredentialMapReaderMBean, UserReaderMBean

public interface ListerMBean
extends weblogic.management.commo.StandardInterface

The ListerMBean interface provides a general mechanism for returning lists.

Derived MBeans extend this interface to add methods that access the data of the current object in the list. This is different from the iterator model (where the next method returns the next object in the list) because creating MBeans for each object returned in a list (for example, one MBean per user) is too expensive. In addition, it is not appropriate to return non-MBean or non-primitive types from an MBean.

The general iteration pattern is as follows:

`CloseableList list = ...;
while (list.hasCurrent()) {
// read the current element
list.advance();
}
list.close();
`

@author Copyright (c) 2003 BEA Systems, Inc. All Rights Reserved.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `advance(java.lang.String cursor)` Advances the list to the next element in the list.
`void` | `close(java.lang.String cursor)` Indicates that the caller is finished using the list, and that the resources held on behalf of the list may be released.
`boolean` | `haveCurrent(java.lang.String cursor)` Returns true if there are more objects in the list, and false otherwise.

Methods inherited from interface weblogic.management.commo.StandardInterface
`wls_getAttributeTag, wls_getConstructorTag, wls_getDisplayName, wls_getInterfaceClassName, wls_getMBeanTag, wls_getNotificationTag, wls_getObjectName, wls_getOperationTag, wls_instanceOf`

Method Detail

### haveCurrent

    public boolean haveCurrent(java.lang.String cursor)
                        throws InvalidCursorException

  Returns true if there are more objects in the list, and false otherwise.

  Parameters:
    `cursor` - - The cursor returned from a previous list method.
  Throws:
    InvalidCursorException -

### advance

    public void advance(java.lang.String cursor)
                 throws InvalidCursorException

  Advances the list to the next element in the list.

  Parameters:
    `cursor` - - The cursor returned from a previous list method.
  Throws:
    InvalidCursorException -

### close

    public void close(java.lang.String cursor)
               throws InvalidCursorException

  Indicates that the caller is finished using the list, and that the resources held on behalf of the list may be released. If the caller traverses through all the elements in the list, the caller need not call this method. In other words, it is used to let the caller close the list without reading each element that is returned.

  Parameters:
    `cursor` - - The cursor returned from a previous list method.
  Throws:
    InvalidCursorException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD